program SignatureQuoter;

uses classes, sysutils;

{$R *.RES}

var Quotes, Signature : TStrings;
    Counter        : integer;
    Found          : boolean;
    Quote          : string;
    QUOTEFILE, BASICFILE, RESULTFILE : string;
    StdOut         : TextFile;
begin
  AssignFile(StdOut,'');

  if ParamCount<>3 then
    begin
      writeln(ExtractFileName(ParamStr(0)),', version 3.1, (C) 1997 Hans Luijten');
      writeln('Not enough actual parameters.');
      writeln('Usage: ',ExtractFileName(ParamStr(0)),' QUOTESFILE BASICFILE RESULTFILE');
      exit;
    end;

  QUOTEFILE:=ParamStr(1);
  BASICFILE:=ParamStr(2);
  RESULTFILE:=ParamStr(3);

  Quotes:=TStringlist.create;   { Create stringlists }
  Signature:=TStringlist.create;

  Quotes.Clear;
  Quotes.LoadFromFile(QUOTEFILE); { load quotes }

  Signature.clear;
  Signature.LoadFromfile(BASICFILE); { load basic signature }

  Randomize; { initialize randomizer }

  Quote:=Quotes.strings[random(Quotes.count-1)]; { choose random quote }

  Found:=false; { <!-- QUOTE HERE --> not yet found }

  {let's try to find the HTML tag}
  for counter:=0 to Signature.count-1 do
    if Pos('<!-- QUOTE HERE -->', Signature.Strings[counter])>0 then
      begin {we did find this tag}
        Signature.strings[counter]:=Quote; {replace tag with new line }
        Found:=true; {yup, we found it allright}
      end;

  {We didn't find the tag, so we're the quote at the end of the file}
  if not found then
    begin
      Signature.Add(Quote);
    end;                               

  Signature.SaveToFile(RESULTFILE); {save as HTM file}

  Quotes.Free; {release stringlist}
  Signature.Free; {release stringlist}
end.
